{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_invitation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_invitation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_user_invitation_edit', {'userInvitationId': userInvitation.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Einladung löschen</span>
        {{ form_widget(userInvitationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': userInvitationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Einladung und alle verknüpften Daten werden unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die Einladung endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">einladung_{{ userInvitation.getId() }}</span>
                </p>
                {{ form_start(userInvitationDeleteForm, {'attr': {'id': userInvitationDeleteForm.vars.id ~ '_form'}}) }}
                {% include 'external_user/form/user_invitation/user_invitation_delete_form.html.twig' with {'form': userInvitationDeleteForm} only %}
                {{ form_row(userInvitationDeleteForm._token) }}
                {{ form_end(userInvitationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                {{ form_start(userInvitationForm, {'attr': {'id': userInvitationForm.vars.id ~ '_form'}}) }}
                {% if (userInvitation.getPersonType().name == 'COMPANY') %}
                    {% include 'external_user/form/user_invitation/company_user_invitation_form.html.twig' with {'form': userInvitationForm} only %}
                 {% elseif (userInvitation.getPersonType().name == 'NATURAL_PERSON') %}
                   {% include 'external_user/form/user_invitation/natural_person_user_invitation_form.html.twig' with {'form': userInvitationForm} only %}
                {% endif %}
                {{ form_end(userInvitationForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
